/**
 * 账单汇率-API
 */
import http from "@/http/http";
import { BillRateAddParams, BillRateParam, VersionListParam } from "./BillRateModle";
enum Api {
    getBillRateList = '/api/billrate/list',
    add = '/api/billrate/add',
    edit = '/api/billrate/edit',
    delete = '/api/billrate',
    getBillRateversionList = '/api/billrate/versionList'
}

//查询列表
export const getBillRateListApi = async (parms: BillRateParam) => {
    return await http.get(Api.getBillRateList, parms)
}

//新增
export const addBillRateApi = async (parms: BillRateAddParams[]) => {
    return await http.post(Api.add, parms)
}
//编辑
export const editBillRateApi = async (parms: BillRateAddParams[]) => {
    return await http.put(Api.edit, parms)
}
//删除
export const deleteBillRateApi = async (parms: Recordable) => {
    return await http.delete(Api.delete, parms)
}
// 按版本号查询
export const getBillRateversionListApi = async (parms: VersionListParam) => {
    return await http.get(Api.getBillRateversionList, parms)
}